## Index

### Enumerations

- EAnchorDirection

### Classes

- Anchor
- AnchorWatcher
- Renderer

### Variables

- anchor2string

### Functions

- create

### Object literals

- modeFeatures
- string2anchor

## Variables

### anchor2string

anchor2string: Array<any> = (() => {const r = [];r[EAnchorDirection.EAST] = 'e';r[EAnchorDirection.NORTH] = 'n';r[EAnchorDirection.WEST] = 'w';r[EAnchorDirection.SOUTH] = 's';r[EAnchorDirection.NORTH_EAST] = 'ne';r[EAnchorDirection.NORTH_WEST] = 'nw';r[EAnchorDirection.SOUTH_EAST] = 'se';r[EAnchorDirection.SOUTH_WEST] = 'sw';r[EAnchorDirection.CENTER] = 'c';return r;})()

- Defined in annotation.ts:25

## Functions

### create

- create(main: HTMLElement, graph: ProvenanceGraph): object

- - Defined in annotation.ts:653

  #### Parameters

  - ##### main: HTMLElement

  - ##### graph: ProvenanceGraph

  #### Returns object

  - ##### render: any

## Object literals

### modeFeatures

modeFeatures: object

- Defined in annotation.ts:14

### isEditable

- isEditable(): boolean

- - Defined in annotation.ts:15

  #### Returns boolean

### string2anchor

string2anchor: object

- Defined in annotation.ts:39

### c

c: EAnchorDirection = EAnchorDirection.CENTER

- Defined in annotation.ts:48

### e

e: EAnchorDirection = EAnchorDirection.EAST

- Defined in annotation.ts:40

### n

n: EAnchorDirection = EAnchorDirection.NORTH

- Defined in annotation.ts:41

### ne

ne: EAnchorDirection = EAnchorDirection.NORTH_EAST

- Defined in annotation.ts:44

### nw

nw: EAnchorDirection = EAnchorDirection.NORTH_WEST

- Defined in annotation.ts:45

### s

s: EAnchorDirection = EAnchorDirection.SOUTH

- Defined in annotation.ts:43

### se

se: EAnchorDirection = EAnchorDirection.SOUTH_EAST

- Defined in annotation.ts:46

### sw

sw: EAnchorDirection = EAnchorDirection.SOUTH_WEST

- Defined in annotation.ts:47

### w

w: EAnchorDirection = EAnchorDirection.WEST

- Defined in annotation.ts:42

Generated using TypeDoc